/**************************************************************************
 *
 *   Copyright (c) 2003 Openwave Systems Inc.  All rights reserved.
 *
 *   Openwave Systems Inc. grants you the right to use the Openwave Location
 *   Studio SDK software and its related documentation only according
 *   to Openwave's Location Studio SDK End User Software License Agreement.
 *
 *   Openwave and the Openwave logo are registered trademarks of Openwave
 *   Systems Inc. All other trademarks and registered trademarks are the
 *   properties of their respective owners.
 *
 **************************************************************************/

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.net.*;

public class change extends HttpServlet {

String address = null;
String type = null;

/* this method allows the user to change location, switch back to the current
location or cancel the action to go back to the previous location */
public void doGet(HttpServletRequest request, 
                    HttpServletResponse response)
            throws IOException, ServletException {
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    
    //catch the previous location from querystring
    address = request.getParameter("address");
    
    //catch the parameter "type" that indicates which page should be returned 
    type = request.getParameter("type");
    response.setHeader("Cache-Control", "no-cache"); 
     
    //output an XHTML page to allow the user changing locations
    
     out.println("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
     out.println("<!DOCTYPE html PUBLIC \"-//WAPFORUM//DTD XHTML Mobile 1.0//EN\""+
                   "\"http://www.wapforum.org/DTD/xhtml-mobile10.dtd\">");
     out.println("<html xmlns=\"http://www.w3.org/1999/xhtml\""+
            "xml:lang=\"en\">");
     //pass the new location to display.java
     out.println("<head>"+"<title>City Guide</title>"+
                  "<link href=\"/location/restaurant/style.css\" rel=\"stylesheet\" type=\"text/css\"/>");
     out.println("</head>"+"<body><p><b>Change Your Location</b></p>"+
			"<form action=\"/location/servlet/display\">"+
			"<p>City or Zip:<input type=\"text\" name=\"address\"/>");
     
     //pass the parameter "type" to diaplay.java
     if(type.equals("index")){
             out.println("<input type=\"hidden\" name=\"type\" value=\"index\"/>");
 	       out.println("<input type=\"submit\" value=\"Go\"/>"+
			"</p></form>"+"<p>Use current location:<br/>"+
			"<a class=\"darkblue\" href=\"/location/index.html\">San Francisco</a>"+
			"<br/><a class = \"darkblue\" href=\"/location/servlet/display?type=index&address="+URLEncoder.encode(address)+"\">Back</a>"+
               	"</p></body></html>");
      }
      else { 
	       out.println("<input type=\"hidden\" name=\"type\" value=\"restaurant\"/>");
		 out.println("<input type=\"submit\" value=\"Go\"/>"+
			"</p></form>"+"<p>Use current location:<br/>"+
			"<a class=\"darkblue\" href=\"/location/servlet/restaurant\">San Francisco</a>"+
			"<br/><a class = \"darkblue\" href=\"/location/servlet/display?type=restaurant&address="+URLEncoder.encode(address)+"\">Back</a>"+
               	"</p></body></html>");
      }
      
 	
}
}
