/**************************************************************************
 *
 *   Copyright (c) 2002 Openwave Systems Inc.  All rights reserved.
 *
 *   Openwave Systems Inc. grants you the right to use the Openwave Location
 *   Studio SDK software and its related documentation only according
 *   to Openwave's Location Studio SDK End User Software License Agreement.
 *
 *   Openwave and the Openwave logo are registered trademarks of Openwave
 *   Systems Inc. All other trademarks and registered trademarks are the
 *   properties of their respective owners.
 *
 **************************************************************************/

import java.net.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class display extends HttpServlet {

  //Initializes the servlet.
    
  public void init(ServletConfig config) throws ServletException{
   
        super.init(config);
        
  }
    
  //Destroys the servlet.
     
  public void destroy(){
    
        
  }


public void doGet(HttpServletRequest request, 
                    HttpServletResponse response)
            throws IOException, ServletException {
    response.setContentType("text/html");
    //disable cache
    response.setHeader("Cache-Control", "no-cache"); 
    PrintWriter out = response.getWriter();

    //catch the information of location and page indicator
    String address= request.getParameter("address");
    String type = request.getParameter("type");
    //return an XHTML page that shows the specific location and content
      
     out.println("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
     out.println("<!DOCTYPE html PUBLIC \"-//WAPFORUM//DTD XHTML Mobile 1.0//EN\""+
                   "\"http://www.wapforum.org/DTD/xhtml-mobile10.dtd\">");
     out.println("<html xmlns=\"http://www.w3.org/1999/xhtml\""+
            "xml:lang=\"en\">");
     out.println("<head>"+"<title>City Guide</title>"+
                  "<link href=\"/location/restaurant/style.css\" rel=\"stylesheet\" type=\"text/css\"/>");
     out.println("</head>"+"<body>");
     
     //return the restaurant page
     if (type.equals("restaurant")){
     out.println("<p>"+
                 "<img src=\"/location/restaurant/meal.gif\" alt=\"\"\"/><b>Restaurants</b>"+
                 "<br/>Your current location is "+address + ".  <br/>Choose restaurants within 1 mile:</p>");
     out.println("<table>"+
                   "<tr class=\"blue\">"+
			"<td><p class=\"nowrap\">1 <a accesskey=\"1\" href=\"/location/servlet/find?mile=1&type=American\">American (2 Restaurants)</a></p></td>"+
			"</tr><tr><td><p class=\"nowrap\">2 "+
    			 "<a accesskey=\"2\" class=\"bluetext\" href=\"/location/servlet/find?mile=1&type=Chinese\">Chinese (2 Restaurants) </a></p></td>"+
			"</tr><tr class=\"blue\"><td><p class=\"nowrap\">3 "+
			"<a accesskey=\"3\" href=\"/location/servlet/find?mile=1&type=French\">French (2 Restaurants)</a></p></td></tr>"+
 			"<tr><td><p class=\"nowrap\">4 "+
			"<a accesskey=\"4\" class=\"bluetext\" href=\"/location/servlet/find?mile=1&type=Italian\">Italian (2 Restaurants)</a></p></td></tr>"+
			"<tr class=\"blue\"><td><p class=\"nowrap\">5 "+
			"<a accesskey=\"5\" href=\"/servlet/find?mile=1&type=Japanese\">Japanese (2 Restaurants)</a></p></td></tr>"+
			"<tr><td><p class=\"nowrap\">6 "+
			"<a accesskey=\"6\" class=\"bluetext\" href=\"/location/servlet/find?mile=1&type=Mexican\">Mexican (2 Restaurants)</a></p></td></tr>"+
			"</table><p><a class=\"darkblue\" href=\"/location/restaurant/more.html\">More</a>"+"<br/>"+
			"<a class=\"darkblue\" href=\"/location/servlet/change?type=restaurant&address="+URLEncoder.encode(address)+"\">Change Location</a><br/>"+
			"<a class=\"darkblue\" href=\"/location/index.html\">City Guide</a>"+
			"</p></body></html>");
  }
   
  //return the index page
  else{
    out.println("<p><b>City Guide</b><br/>Your location: "+address+
		    "<ol><li><img src=\"/location/restaurant/meal.gif\" alt=\"\"/><a accesskey=\"1\" class=\"darkblue\" href=\"/location/servlet/restaurant\">Restaurants</a></li>"+
		    "<li><img src=\"/location/restaurant/movie.gif\" alt=\"\"/><a accesskey=\"2\" class=\"darkblue\" href=\"/location/movielife/index.html\">MovieLife</a></li>"+
		    "<li><img src=\"/location/restaurant/car.gif\" alt=\"\"/><a accesskey=\"3\" class=\"darkblue\" href=\"/location/peer2park/index.html\">Peer2Park</a></li>"+
	          "<li><img src=\"/location/restaurant/shopping.gif\" alt=\"\"/><a accesskey=\"4\" class=\"darkblue\" href=\"/location/fake.html\">Shopping</a></li>"+

        	    "<li><img src=\"/location/restaurant/weather.gif\" alt=\"\"/><a accesskey=\"5\" class=\"darkblue\" href=\"/location/fake.html\">Weather</a></li>"+
                "<li><img src=\"/location/restaurant/news.gif\" alt=\"\"/><a accesskey=\"6\" class=\"darkblue\" href=\"/location/fake.html\">News</a></li>"+
		    "</ol>"+
	          "<a class=\"darkblue\" href=\"/location/servlet/change?type=index&address="+URLEncoder.encode(address)+"\">Change location</a>"+
		    "</p></body></html>");

  }
 }
}

