/**************************************************************************
 *
 *   Copyright (c) 2003 Openwave Systems Inc.  All rights reserved.
 *
 *   Openwave Systems Inc. grants you the right to use the Openwave Location
 *   Studio SDK software and its related documentation only according
 *   to Openwave's Location Studio SDK End User Software License Agreement.
 *
 *   Openwave and the Openwave logo are registered trademarks of Openwave
 *   Systems Inc. All other trademarks and registered trademarks are the
 *   properties of their respective owners.
 *
 **************************************************************************/
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class address extends HttpServlet {

String map = null;
String detail = null;
String name = null;

public void doGet(HttpServletRequest request, 
                    HttpServletResponse response)
            throws IOException, ServletException {
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    map = null;
    detail = null;
    //get the restaurant name from querystring
    name = request.getParameter("name");
    //disable cache
    response.setHeader("Cache-Control", "no-cache"); 
    findRestaurant();
     
    //output the XHTML deck that has detailed information for the specific restaurant
     out.println("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
     out.println("<!DOCTYPE html PUBLIC \"-//WAPFORUM//DTD XHTML Mobile 1.0//EN\""+
                   "\"http://www.wapforum.org/DTD/xhtml-mobile10.dtd\">");
     out.println("<html xmlns=\"http://www.w3.org/1999/xhtml\""+
            "xml:lang=\"en\">");
     out.println("<head>"+"<title>City Guide</title>"+
                  "<link href=\"/location/restaurant/style.css\" rel=\"stylesheet\" type=\"text/css\"/>");
     out.println("</head>"+"<body>"+detail+"<br/><a class=\"darkblue\" href=\""+map+"\">Map</a><br/>"+
			"<a class=\"darkblue\" href=\"/location/servlet/restaurant\">Home</a>"+
               	"</p></body></html>");
  	

  	
}
 /* Mockup for a method that looks in some databases to retrieve the 
  detailed information of a restaurant based on the restaurant's name.
 This application will return a dummy information. */
 public void findRestaurant(){
   map = "/location/restaurant/map.html";
  if (name.equals("Alfred Schilling")){
    detail = "<h3>Alfred Schilling</h3>"+
		 "<p>1695 Market Street<br/>"+
		 "San Francisco, CA<br/>"+
		 "94103-1237<br/>"+
		 "<b>Phone:</b><br/><a class =\"darkblue\" href=\"wtai://mp/mc;14154318447\">Call 415-431-8447</a></br>"+
             "<b>Hours of Operation:</b><br/> Tue-Sat 11:30am-3:00pm, 5:30-10pm<br/>"+
             "<b>Price:</b> Moderately priced<br/>Expect the average entr&#233;e to cost in the range of $12-$20"+
             "<br/><b>Rating:</b><img src=\"/location/restaurant/Star_3-4.gif\" alt=\"\"/>";
   }
   else if (name.equals("Bagdad Cafe")){
    detail = "<h3>Bagdad Caf&#233;</h3>"+
     	       "<p>2295 Market Street<br/>"+
		 "San Francisco, CA<br/>"+
		 "94114-1612 <br/><b>Phone:</b><br/>"+
	 	 "<a class = \"darkblue\" href=\"wtai://mp/mc;14156214434\">Call 415-621-4434</a><br/>"+
             "<b>Hours of Operation:</b><br/>7-9am, 11:30am-3pm, 5:30-10pm<br/>"+
             "<b>Price:</b> Affordable <br/> Expect the average entr&#233;e to cost in the range of $8-$12<br/>"+
             "<b>Rating:</b><img src=\"/location/restaurant/Star_3.gif\" alt=\"\"/>";


  }
  else if (name.equals("Al's Cafe Good Food")){
    detail = "<h3>Al's Caf&#233; Good Food</h3>"+
	       "<p>3286 Mission Street<br/>"+
	       "San Francisco, CA<br/>"+
		 "94110-5007<br/><b>Phone:</b><br/>"+
		 "<a class =\"darkblue\" href=\"wtai://mp/mc;14156418445\">Call 415-641-8445</a><br/>"+
		 "<b>Hours of Operation:</b><br/>7-9am, 11:30am-3pm<br/>"+
             "<b>Price:</b> Affordable<br/>Expect the average entr&#233;e to cost in the range of $8-$12<br/>"+
             "<b>Rating:</b><img src=\"/location/restaurant/Star_3.gif\" alt=\"\"/>";

  }
  else if (name.equals("Betz and Sons")){
	detail = "<h3>Betz and Sons</h3>"+
		   "<p>1906 Van Ness Avenue<br/>"+
    	         "San Francisco, CA<br/>"+
               "94109-3008<br/><b>Phone:</b><br/>"+
               "<a class =\"darkblue\" href=\"wtai://mp/mc;14159211522\">Call 415-921-1522</a></br>"+
		   "<b>Hours of Operation:</b><br/>5:30-10:30pm<br/>"+
               "<b>Price:</b> Expensive<br/>Expect the average entr&#233;e to cost in the range of $20-$30<br/>"+
               "<b>Rating:</b><img src=\"/location/restaurant/Star_4.gif\" alt=\"\"/>";

  }

}  		

}
