/**************************************************************************
 *
 *   Copyright (c) 2003 Openwave Systems Inc.  All rights reserved.
 *
 *   Openwave Systems Inc. grants you the right to use the Openwave Location
 *   Studio SDK software and its related documentation only according
 *   to Openwave's Location Studio SDK End User Software License Agreement.
 *
 *   Openwave and the Openwave logo are registered trademarks of Openwave
 *   Systems Inc. All other trademarks and registered trademarks are the
 *   properties of their respective owners.
 *
 **************************************************************************/
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.net.*;
import java.lang.*;
import java.util.StringTokenizer;

public class find extends HttpServlet {

public void doGet(HttpServletRequest request, 
                    HttpServletResponse response)
            throws IOException, ServletException {
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    
    //catch the mileage and food type from querystring
    String distance = request.getParameter("mile");
    String food = request.getParameter("type");
    
    //disable cache
    response.setHeader("Cache-Control", "no-cache"); 
    String list[] = findRestaurant(distance, food);
    
     //output an XHTML deck that shows a list of restaurants based on requirements
      
     out.println("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
     out.println("<!DOCTYPE html PUBLIC \"-//WAPFORUM//DTD XHTML Mobile 1.0//EN\""+
                   "\"http://www.wapforum.org/DTD/xhtml-mobile10.dtd\">");
     out.println("<html xmlns=\"http://www.w3.org/1999/xhtml\""+
            "xml:lang=\"en\">");
     out.println("<head>"+"<title>City Guide</title>"+
                  "<link href=\"/location/restaurant/style.css\" rel=\"stylesheet\" type=\"text/css\"/>");
     out.println("</head>"+"<body>"+"<p>"+
                 "<b>"+ food +" Restaurants</b></p>");
     out.println("<table>");
     
     //convert cafe to caf&#233;
     for (int i=0; i<list.length; i++){
       int j = i;
       String convert = "";
       String temp[] = new String[5];
       StringTokenizer tokens = new StringTokenizer(list[i]," ");
       for(int q=0; tokens.hasMoreTokens(); q++){
        temp[q] = tokens.nextToken();
       }
       for (int q=0; temp[q]!=null; q++){
       if (temp[q].equals("Cafe")) temp[q] = "Caf&#233;";
       convert = convert + temp[q]+" ";
       }

       if (i%2==0){
			
		out.println("<tr class=\"blue\">"+
				"<td><p class=\"nowrap\">"+(j+1)+
				" <a accesskey=\""+(j+1)+"\" href=\"/location/servlet/address?name="+URLEncoder.encode(list[i])+"\">"+convert+
				"</a></p></td>"+"</tr>");
      }
      else{
	     out.println("<tr><td><p class=\"nowrap\">"+(j+1)+
    			 " <a accesskey=\""+(j+1)+"\" class=\"bluetext\" href=\"/location/servlet/address?name="+URLEncoder.encode(list[i])+"\">"+convert+
                   "</a></p></td></tr>");
     }

   }
  out.println("</table><p><a class=\"darkblue\" href=\"/location/servlet/restaurant\">Home</a>"+
			"</p></body></html>");


  	
}
 /* Mockup for a method that looks in some databases to retrieve 
 a list of restaurants based on the specific mileage and food type.
 This application will return a dummy list for any mileage. */
 public String[] findRestaurant(String distance, String food){
   String item[]= new String [2];
  if (distance.equals("1")){
    item[0] = "Alfred Schilling";
    item[1] = "Bagdad Cafe";
  }
  else {
   item[0] = "Al's Cafe Good Food";
   item[1] = "Betz and Sons";
 }
 
return item;

}  		

}
